<!DOCTYPE html>
<html lang="en">

  <head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">
    <meta name="csrf-token" content="<?php echo csrf_token(); ?>">
    
    <title><?php $__env->startSection('title'); ?> Redprint App Builder <?php echo $__env->yieldSection(); ?></title>

    <?php $__env->startSection('css'); ?>
    <!-- Bootstrap core CSS -->
    <link href="/assets/vendor/bootstrap/css/bootstrap.min.css" rel="stylesheet">

    <!-- Custom fonts for this template -->
    <link href="/assets/vendor/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css">
    <link href="https://fonts.googleapis.com/css?family=Montserrat:400,700" rel="stylesheet" type="text/css">
    <link href='https://fonts.googleapis.com/css?family=Kaushan+Script' rel='stylesheet' type='text/css'>
    <link href='https://fonts.googleapis.com/css?family=Droid+Serif:400,700,400italic,700italic' rel='stylesheet' type='text/css'>
    <link href='https://fonts.googleapis.com/css?family=Roboto+Slab:400,100,300,700' rel='stylesheet' type='text/css'>

    <!-- Custom styles for this template -->
    <link href="/assets/frontend/css/agency.css" rel="stylesheet">
    <?php echo $__env->yieldSection(); ?>
    <?php echo $__env->yieldContent('head-js'); ?>

  </head>

  <body id="page-top">

    <?php $__env->startSection('nav'); ?>
    <!-- Navigation -->
    <nav class="navbar navbar-expand-lg navbar-dark fixed-top" id="mainNav">
      <div class="container">
        <a class="navbar-brand js-scroll-trigger" href="#page-top">Redprint AB</a>
        <button class="navbar-toggler navbar-toggler-right" type="button" data-toggle="collapse" data-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation">
          Menu
          <i class="fa fa-bars"></i>
        </button>
        <div class="collapse navbar-collapse" id="navbarResponsive">
          <ul class="navbar-nav text-uppercase ml-auto">
            <li class="nav-item">
              <a class="nav-link js-scroll-trigger" href="#about">About</a>
            </li>
            <?php if(auth()->guest()): ?>
            <li class="nav-item">
              <a class="nav-link js-scroll-trigger" href="<?php echo e(route('backend.login.form')); ?>">Login</a>
            </li>
            <?php else: ?>

            <?php if(redprint()): ?>
            <li class="nav-item">
              <a class="nav-link js-scroll-trigger" href="<?php echo e(route('backend.dashboard')); ?>">Backend</a>
            </li>
            <?php endif; ?>
            <li class="nav-item">
              <a class="nav-link js-scroll-trigger" href="<?php echo e(route('backend.logout')); ?>">Logout</a>
            </li>
            <?php endif; ?>
          </ul>
        </div>
      </div>
    </nav>
    <?php echo $__env->yieldSection(); ?>


    <?php echo $__env->yieldContent('content'); ?>
    
    <?php $__env->startSection('footer'); ?>
    <!-- Footer -->
    <footer>
      <div class="container">
        <div class="row">
          <div class="col-md-4">
            <span class="copyright">Copyright &copy; <?php echo e(env('APP_NAME')); ?> <?php echo e(date('Y')); ?></span>
          </div>
          <div class="col-md-4">
            <ul class="list-inline social-buttons">
              <li class="list-inline-item">
                <a href="#">
                  <i class="fa fa-twitter"></i>
                </a>
              </li>
              <li class="list-inline-item">
                <a href="#">
                  <i class="fa fa-facebook"></i>
                </a>
              </li>
              <li class="list-inline-item">
                <a href="#">
                  <i class="fa fa-linkedin"></i>
                </a>
              </li>
            </ul>
          </div>
          <div class="col-md-4">
            <ul class="list-inline quicklinks">
              <li class="list-inline-item">
                <a href="#">Privacy Policy</a>
              </li>
              <li class="list-inline-item">
                <a href="#">Terms of Use</a>
              </li>
            </ul>
          </div>
        </div>
      </div>
    </footer>
    <?php echo $__env->yieldSection(); ?>

    <?php $__env->startSection('js'); ?>
    <!-- Bootstrap core JavaScript -->
    <script src="/assets/vendor/jquery/jquery.min.js"></script>
    <script src="/assets/vendor/bootstrap/js/bootstrap.bundle.min.js"></script>

    <!-- Plugin JavaScript -->
    <script src="/assets/vendor/jquery-easing/jquery.easing.min.js"></script>

    <!-- Custom scripts for this template -->
    <script src="/assets/frontend/js/agency.min.js"></script>
    <?php echo $__env->yieldSection(); ?>
    <?php echo $__env->yieldContent('post-js'); ?>
  </body>

</html>
