<!doctype html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="csrf-token" content="<?php echo csrf_token(); ?>">
    <title><?php echo $__env->yieldContent('page_title_prefix', config('redprintUnity.title_prefix', '')); ?>
            <?php echo $__env->yieldContent('page_title', config('redprintUnity.title', 'Redprint')); ?>
            <?php echo $__env->yieldContent('page_title_postfix', config('redprintUnity.title_postfix', '')); ?>
    </title>

    <?php $__env->startSection('css'); ?>
    <link rel="stylesheet" href="<?php echo e(asset('vendor/redprintUnity/css/bootstrap.min.css')); ?>" />
    <link rel="stylesheet" href="<?php echo e(asset('vendor/redprintUnity/fonts/icomoon/icomoon.css')); ?>" />
    <link rel="stylesheet" href="<?php echo e(asset('vendor/redprintUnity/vendor/bootstrap-4-5.0.0-alpha.17/build/css/tempusdominus-bootstrap-4.min.css')); ?>" />
    <link rel="stylesheet" href="<?php echo e(asset('vendor/redprintUnity/vendor/font-awesome/css/fontawesome-all.min.css')); ?>" />
    <link rel="stylesheet" href="<?php echo e(asset('vendor/redprintUnity/css/redprint.css')); ?>" />
    <link rel="stylesheet" href="<?php echo e(asset('vendor/redprintUnity/css/skins/'.config('redprintUnity.skin', 'blue').'.css')); ?>" />
    <link rel="stylesheet" href="<?php echo e(asset('vendor/redprintUnity/css/main.css')); ?>" />
    <?php echo $__env->yieldSection(); ?>
    
    <?php echo $__env->yieldContent('head-js'); ?>
</head>

<body>

    <!-- Loading starts -->
    <div class="loading-wrapper">
        <div class="loading">
            <span></span>
        </div>
    </div>
    <!-- Loading ends -->

    <?php echo $__env->yieldContent('body'); ?>

    <?php $__env->startSection('js'); ?>
        <!-- jQuery first, then Tether, then other JS. -->
        <script src="<?php echo e(asset('vendor/redprintUnity/js/jquery.js')); ?>"></script>
        <script src="<?php echo e(asset('vendor/redprintUnity/js/tether.min.js')); ?>"></script>
        <script src="<?php echo e(asset('vendor/redprintUnity/js/bootstrap.min.js')); ?>"></script>
        <script src="<?php echo e(asset('vendor/redprintUnity/vendor/unifyMenu/unifyMenu.js')); ?>"></script>
        <script src="<?php echo e(asset('vendor/redprintUnity/vendor/onoffcanvas/onoffcanvas.js')); ?>"></script>
        <script src="<?php echo e(asset('vendor/redprintUnity/js/moment.js')); ?>"></script>
        <script src="<?php echo e(asset('vendor/redprintUnity/vendor/bootstrap-4-5.0.0-alpha.17/build/js/tempusdominus-bootstrap-4.min.js')); ?>"></script>
        <script src="<?php echo e(asset('vendor/redprintUnity/vendor/sweetalert-2.1.0/sweetalert.min.js')); ?>"></script>
        
        <!-- Peity JS -->
        <script src="<?php echo e(asset('vendor/redprintUnity/vendor/peity/peity.min.js')); ?>"></script>
        <script src="<?php echo e(asset('vendor/redprintUnity/vendor/peity/custom-peity.js')); ?>"></script>

        <!-- Circliful js -->
        <script src="<?php echo e(asset('vendor/redprintUnity/vendor/circliful/circliful.min.js')); ?>"></script>
        <script src="<?php echo e(asset('vendor/redprintUnity/vendor/circliful/circliful.custom.js')); ?>"></script>

        <!-- Slimscroll JS -->
        <script src="<?php echo e(asset('vendor/redprintUnity/vendor/slimscroll/slimscroll.min.js')); ?>"></script>
        <script src="<?php echo e(asset('vendor/redprintUnity/vendor/slimscroll/custom-scrollbar.js')); ?>"></script>

        <!-- Common JS -->
        <script src="<?php echo e(asset('vendor/redprintUnity/js/common.js')); ?>"></script>
        <script src="<?php echo e(asset('vendor/redprintUnity/js/redprint.js')); ?>"></script>

    <?php echo $__env->yieldSection(); ?>

    <?php $__env->startSection('post-js'); ?>
    <?php echo $__env->yieldSection(); ?>

    <?php $__env->startSection('modals'); ?>
    <?php echo $__env->yieldSection(); ?>

</body>
</html>
